using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class GameManager : MonoBehaviour
{
	public Image GameOverPanel;
	public Text GameOverText;
	public Image WinPanel;
	public Text WinText;

	public Text LevelText;
	public Text ScoreText;

	public static int Level = 1;

	private int score;
	private bool hasWon = false;
	private float timerToLoadNextLevel;
	void Start()
	{
		LevelText.text = "Level: " + Level;
	}
	
	void Update()
	{
		if (Input.GetKeyDown(ScanCode.R)&&GameOverPanel.enabled == true)
		{
			SceneManager.LoadScene(SceneManager.loadedScene);
		}
		if (hasWon == true)
		{
			if (timerToLoadNextLevel < 1)
			{
				timerToLoadNextLevel += 1 * Time.deltaTime;
			}
			else
			{
				SceneManager.LoadScene(SceneManager.loadedScene);
			}
		}
	}
	public void UpdateScore(int num)
	{
		score += num;
		ScoreText.text = "Score: " + score;
	}

	public void GameOver()
	{
		GameOverPanel.enabled = true;
		GameOverText.text = "Game Over. Press R to restart.";
    }
	public void Win()
	{
		WinPanel.enabled = true;
		WinText.text = "Win! Congratulations!";

        Level += 1;
		hasWon = true;
	}
}
