using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class SwordSpawner : MonoBehaviour
{
	public Text SwordsAmountText;
	public Prefab Sword;

	private Vector3 swordDefaultPosition = new Vector3(0, -5, 0);
	private Vector3 swordDefaultRotation = new Vector3(270, 90, 0);
	private Log log;

	private int swordsAmount = 0;
	private int swordsCount = 0;

	void Start()
	{
		log = FindObjectOfType<Log>();

		swordsAmount = log.SwordsToBreak;
		swordsCount = swordsAmount;
		UpdateSwordsAmountText();
		SpawnNewSword();
    }
	public void SpawnNewSword()
	{
        swordsCount--;
        if (swordsCount >= 0)
		{
            UpdateSwordsAmountText();
            GameObject sword = Sword.Instantiate(swordDefaultPosition, Quaternion.Euler(swordDefaultRotation));
		}
	}
	private void UpdateSwordsAmountText()
    {
		SwordsAmountText.text = $"Swords: {swordsCount}/{swordsAmount}";
	}
}
